(function($) {
    "use strict";

    /*---------------------------
       Menu Fixed On Scroll Active
    ------------------------------ */
    $(window).on("scroll", function(e) {
        var window_top = $(window).scrollTop() + 1;
        if (window_top > 250) {
            $(".sticky-nav").addClass("menu_fixed animated fadeInDown");
        } else {
            $(".sticky-nav").removeClass("menu_fixed animated fadeInDown");
        }
    });

    /*----------------------------
        Slider BAckgroung Image
    ------------------------------ */

    $('[data-bg-image]').each(function() {
        var $this = $(this),
            $image = $this.data('bg-image');
        $this.css('background-image', 'url(' + $image + ')');
    });

    /*---------------------------
          Nice Select 
       ------------------------------ */

    $('select').niceSelect();

    /*---------------------------
          Bootstrap Date Picker
       ------------------------------ */
    $('#datepicker').datepicker({
        iconsLibrary: 'IcoFont',
        icons: {
            rightIcon: '<i class="icofont-ui-calendar"></i>'
        },
        format: 'dd mmm, yyyy',
    });


    /*---------------------
        venobox
    --------------------- */
    $('.venobox').venobox();
    /*---------------------

    /*---------------------------
       Commons Variables
    ------------------------------ */
    var $window = $(window),
        $body = $("body");




    /*---------------------------------
        Off Canvas Function
    -----------------------------------*/
    (function() {
        var $offCanvasToggle = $(".offcanvas-toggle"),
            $offCanvas = $(".offcanvas"),
            $offCanvasOverlay = $(".offcanvas-overlay"),
            $navIcon = $(".nav-icon"),
            $mobileMenuToggle = $(".mobile-menu-toggle");
        $offCanvasToggle.on("click", function(e) {
            e.preventDefault();
            var $this = $(this),
                $target = $this.attr("href");
            $body.addClass("offcanvas-open");
            $($target).addClass("offcanvas-open");
            $offCanvasOverlay.fadeIn();
            if ($this.parent().hasClass("mobile-menu-toggle")) {
                $this.addClass("close");
            }
        });
        $(".offcanvas-close, .offcanvas-overlay").on("click", function(e) {
            e.preventDefault();
            $body.removeClass("offcanvas-open");
            $offCanvas.removeClass("offcanvas-open");
            $offCanvasOverlay.fadeOut();
            $mobileMenuToggle.removeClass("close");
            $navIcon.removeClass("open");
        });
    })();

    /*-------------------------
     * Mobile Menu Open
    --------------------------*/
    $('.nav-icon').on("click", function() {
        $(this).toggleClass('open');
    });

    /*----------------------------------
        Off Canvas Menu
    -----------------------------------*/
    function mobileOffCanvasMenu() {
        var $offCanvasNav = $(".offcanvas-menu, .overlay-menu"),
            $offCanvasNavSubMenu = $offCanvasNav.find(".sub-menu");

        /*Add Toggle Button With Off Canvas Sub Menu*/
        $offCanvasNavSubMenu.parent().prepend('<span class="menu-expand"></span>');

        /*Category Sub Menu Toggle*/
        $offCanvasNav.on("click", "li a, .menu-expand", function(e) {
            var $this = $(this);
            if ($this.attr("href") === "#" || $this.hasClass("menu-expand")) {
                e.preventDefault();
                if ($this.siblings("ul:visible").length) {
                    $this.parent("li").removeClass("active");
                    $this.siblings("ul").slideUp();
                    $this.parent("li").find("li").removeClass("active");
                    $this.parent("li").find("ul:visible").slideUp();
                } else {
                    $this.parent("li").addClass("active");
                    $this.closest("li").siblings("li").removeClass("active").find("li").removeClass("active");
                    $this.closest("li").siblings("li").find("ul:visible").slideUp();
                    $this.siblings("ul").slideDown();
                }
            }
        });
    }
    mobileOffCanvasMenu();


    /*---------------------
        Hero Slider
     ---------------------- */

    var heroSlider = new Swiper('.hero-slider.swiper-container', {
        loop: true,
        speed: 1500,
        effect: "fade",
        autoplay: false,
        autoplay: {
            delay: 7000,
            disableOnInteraction: false,
        },
        // Navigation arrows
        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        }
    });

    /*------------------------------
            Brand Slider
    -----------------------------------*/

    var swiper = new Swiper(".brand-slider.swiper-container", {
        slidesPerView: 4,
        spaceBetween: 30,
        loop: true,
        autoplay: true,
        speed: 750,
        breakpoints: {
            0: {
                slidesPerView: 2,
            },
            478: {
                slidesPerView: 2,
            },
            576: {
                slidesPerView: 3,
            },
            768: {
                slidesPerView: 3,
            },
            992: {
                slidesPerView: 4,
            },
            1200: {
                slidesPerView: 4,
            },
        },
    });


    /*------------------------------
            Testimonial Slider
    -----------------------------------*/

    var swiper = new Swiper(".slider-container.swiper-container", {
        slidesPerView: 3,
        spaceBetween: 50,
        speed: 750,
        loop: true,
        pagination: {
            el: '.swiper-pagination',
            type: 'custom',
            renderCustom: function(e, t, i) {
                var a = (100 / i) * t;
                return a = a.toFixed(6), '<div class="progressbar"><div class="filled" data-width="' + a + '" style="width: ' + a + "%" + '"></div></div>'
            }
        },
        breakpoints: {
            0: {
                slidesPerView: 1,
            },
            478: {
                slidesPerView: 1,
            },
            576: {
                slidesPerView: 1,
            },
            768: {
                slidesPerView: 1,
            },
            992: {
                slidesPerView: 2,
                spaceBetween: 40,
            },
            1200: {
                slidesPerView: 3,
            },
        },
    });

    /*------------------------------
            Project Slider 
    -----------------------------------*/

    var swiper = new Swiper('.project-details-slider-wrap.swiper-container', {
        spaceBetween: 30,
        speed: 750,
        slidesPerView: 'auto',
        centeredSlides: true,
        loop: true,
        autoplay: true,
        autoplay: {
            delay: 7000,
            disableOnInteraction: false,
        },
        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },
        breakpoints: {
            0: {},
            478: {
                spaceBetween: 20,
                slidesPerView: 2,
            },
            1200: {},
        },
    });
    /*------------------------------
            Related Project Slider
    -----------------------------------*/

    var swiper = new Swiper(".related-project.swiper-container", {
        slidesPerView: 2,
        spaceBetween: 0,
        speed: 750,
        navigation: {
            nextEl: '.project-button-next',
            prevEl: '.project-button-prev',
        },
        breakpoints: {
            0: {
                slidesPerView: 1,
            },
            478: {
                slidesPerView: 1,
            },
            576: {
                slidesPerView: 1,
            },
            768: {
                slidesPerView: 2,
            },
            992: {
                slidesPerView: 2,
            },
            1200: {
                slidesPerView: 2,
            },
        },
    });

    /*---------------------
            Paralax Move
    --------------------- */

    $('.scene').each(function() {
        new Parallax($(this)[0]);
    });


    /*---------------------
        Scroll Up
    --------------------- */
    $.scrollUp({
        scrollText: '<img  src="assets/images/icons/top-up.png" alt="" />',
        easingType: "linear",
        scrollSpeed: 900,
        animation: "fade",
    });


    /*---------------------
        Portfolio Filter
    --------------------- */

    $('.portfolio_page_gallery').imagesLoaded(function() {
        // init Isotope
        var $grid = $('.portfolio_page_gallery').isotope({
            itemSelector: '.gird_item',
        });

        // filter items on button click
        $('.portfolio_messonry_button').on('click', 'button', function() {
            var filterValue = $(this).attr('data-filter');
            $grid.isotope({
                filter: filterValue
            });

            $(this).siblings('.active').removeClass('active');
            $(this).addClass('active');
        });

    });




})(jQuery);